import QtQuick
import QtQuick.Layouts
import QtQuick.VirtualKeyboard
import QtQuick.VirtualKeyboard.Settings

import Core 1.0
import I18n 1.0

import "."

Item {
    id: root
    clip: true
    property string text

    signal confirm()
    signal cancel()

    function selectText() {  }

    Column {
        anchors.centerIn: parent
        spacing: 40
        // TODO: починить поле ввода на клавиатуре
        // GroupBox {
        //     width: 930
        //     height: 100
        //     Style.class: "fullSizedKeyboardInputField"
        //     FocusScope {
        //         anchors.fill: parent
        //         focus: true
        //         STextEdit {
        //             id: inputField
        //             anchors.fill: parent
        //             Style.class: "fullSizedKeyboardInputField"
        //             focus: true
        //             verticalAlignment: Text.AlignVCenter
        //             horizontalAlignment: Text.AlignHCenter
        //         }
        //     }
        // }
        Keyboard {
            id: keyboard
            width: 930
            height: 460
            layoutType: "main"
        }
        ActionButton {
            width: 930
            height: 90
            Style.class: "fullSizedKeyboardOkButton"
            Tr { code: "virtualKeyboardConfirm" }
            onClicked: confirm()
        }
        ActionButton {
            width: 930
            height: 90
            Style.class: "fullSizedKeyboardCancelButton"
            icon: Style.parameter("icon.inputQuantity.cancel")
            Tr { code: "virtualKeyboardCancel" }
            onClicked: cancel()
        }
    }
}
